LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::script::provider::ScriptFrameworkErrorType Constant Group Reference

is a checked exception that represents an error encountered by the Scripting Framework whilst executing a script More...

## Variables
const long | UNKNOWN = 0
| Unknown. More...
const long | NOTSUPPORTED = 1
| ProviderNotSupported. More...
const long | NO_SUCH_SCRIPT = 2
| the requested method, and/or with the requested signature, does not exist More...
const long | MALFORMED_URL = 3
| the requested method, with the requested signature, does not exist More...

## Detailed Description

is a checked exception that represents an error encountered by the Scripting Framework whilst executing a script

## Variable Documentation

const long MALFORMED_URL = 3

the requested method, with the requested signature, does not exist

const long NO_SUCH_SCRIPT = 2

the requested method, and/or with the requested signature, does not exist

const long NOTSUPPORTED = 1

ProviderNotSupported.

const long UNKNOWN = 0

Unknown.